package xic.ast;

import java.util.ArrayList;

import xic.PositionImpl;
import xic.Trackable;

import edu.cornell.cs.cs4120.xi.Position;

public class IdentifierList extends ArrayList<String> implements Trackable {
	private static final long serialVersionUID = -2998336462520656671L;
	private PositionImpl position;

	public IdentifierList(Position position, String identifier) {
		this.position = (PositionImpl) position;
		add(identifier);
	}
	
	public void appendIdentifier(Position pos, String identifier) {
		position.setLineEnd(pos.lineEnd());
		position.setColumnEnd(pos.columnEnd());
		add(identifier);
	}
	
	public Position position() {
		return position;
	}
}
