package xic.ast;

import edu.cornell.cs.cs4120.xi.Position;

public class StringLiteral extends Literal {
	private String value;

	public StringLiteral(Position pos, String value) {
		super(pos);
		this.value = value;
	}

	public String value() {
		return value;
	}

	public String label() {
		return "stringLiteral \"" + value + "\"";
	}

	public Copyable copy() {
		Expr expr = new StringLiteral (position, value);
    	expr.type = type;
    	expr.dataSource = dataSource;
    	return expr;
	}
}